import unittest, sys
import io
import unittest.mock

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'bayes')

@points('2-4')
class MainTest(unittest.TestCase):
   
    def test_answer_one(self):
        
        self.assertEqual(main([1, 1, 1, 1, 1, 1, 1, 1, 1, 1]), False)

    def test_answer_two(self):
        
        self.assertEqual(main([3, 6, 3, 5, 2, 2, 5, 6, 2, 6]), False)

    def test_answer_three(self):
        self.assertEqual(main([2, 1, 6, 5, 4, 5, 6, 1, 4, 4]), False)
    
    def test_answer_four(self):
        self.assertEqual(main([1, 6, 4, 6, 6, 6, 4, 6, 4, 6]), True)

    def test_answer_five(self):
        self.assertEqual(main([6, 6, 6, 1, 6, 6, 2, 5, 1, 6]), True)

    def test_answer_six(self):
        self.assertEqual(main([4, 4, 3, 6, 6, 3, 6, 4, 6, 6]), True)
          
if __name__ == '__main__':
    unittest.main()
